package applet5;

import java.applet.Applet;
import java.awt.Button;
import java.awt.Canvas;
import java.awt.Color;
import java.awt.Panel;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

/**
 * @author  Ralf Kunze (rkunze@uos.de), Institut fuer Informatik, Universitaet Osnabrueck
 * @date 21.06.2007
 */
@SuppressWarnings("serial")
public class MyApplet extends Applet {

    public void init() {
        add(createGUI());
    }
    
    private Panel createGUI() {
        Panel panel = new Panel();
        
        Button clickBto = new Button("Change Statustext");
        clickBto.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                getAppletContext().showStatus("Status durch Button gesetzt");
            }
        });
        
        Canvas canvas = new Canvas();
        canvas.setSize(100,100);
        canvas.setBackground(new Color(255,0,100));
        
        canvas.addMouseListener(new MouseAdapter() {
            public void mouseClicked(MouseEvent e) {
                showStatus("Auf den Canvas geklickt");
            }
        });
        
        panel.add(clickBto);
        panel.add(canvas);
        return panel;
    }
}
