package applet4;

import java.applet.Applet;
import java.awt.Button;
import java.awt.Panel;
import java.awt.TextField;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.net.MalformedURLException;
import java.net.URL;

/**
 * @author  Ralf Kunze (rkunze@uos.de), Institut fuer Informatik, Universitaet Osnabrueck
 * @date 21.06.2007
 */
@SuppressWarnings("serial")
public class MyApplet extends Applet {

    public void init() {
        add(createGUI());
    }
    
    private Panel createGUI() {
        Panel panel = new Panel();
        
        final TextField urlTF = new TextField("http://");
        urlTF.setColumns(20);
        
        Button clickBto = new Button("Open URL");
        clickBto.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                try {
                    getAppletContext().showDocument(new URL(urlTF.getText()));
                } catch (MalformedURLException e1) {
                    System.out.println("Wrong URL");
                }
            }
        });
        
        panel.add(clickBto);
        panel.add(urlTF);
        
        return panel;
    }
}
