package applet6;

import java.applet.Applet;
import java.awt.Button;
import java.awt.Panel;
import java.awt.TextField;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * @author  Ralf Kunze (rkunze@uos.de), Institut fuer Informatik, Universitaet Osnabrueck
 * @date 21.06.2007
 */
@SuppressWarnings("serial")
public class SenderApplet extends Applet {

    public void init() {
        add(createGUI());
    }
    
    private Panel createGUI() {
        Panel panel = new Panel();
        
        final TextField messageTF = new TextField();
        messageTF.setColumns(20);
        
        Button clickBto = new Button("Send Message");
        clickBto.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                Applet reciever = getAppletContext().getApplet("reciever");
                if(reciever instanceof RecieverApplet) {
                    ((RecieverApplet)reciever).message(messageTF.getText());
                }
            }
        });
        
        
        panel.add(messageTF);
        panel.add(clickBto);
        return panel;
    }
}
