package applet7;

import java.applet.Applet;
import java.awt.Button;
import java.awt.Panel;
import java.awt.TextField;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Enumeration;

/**
 * @author  Ralf Kunze (rkunze@uos.de), Institut fuer Informatik, Universitaet Osnabrueck
 * @date 21.06.2007
 */
@SuppressWarnings("serial")
public class SenderApplet extends Applet {

    public void init() {
        add(createGUI());
    }
    
    private Panel createGUI() {
        Panel panel = new Panel();
        
        final TextField messageTF = new TextField();
        messageTF.setColumns(20);
        
        Button clickBto = new Button("Send Message");
        clickBto.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                Enumeration<Applet> applets = getAppletContext().getApplets();
                
                while(applets.hasMoreElements()) {
                    Applet reciever = applets.nextElement();
                    if(reciever instanceof RecieverApplet) {
                        ((RecieverApplet)reciever).message(messageTF.getText());
                    }
                }
                messageTF.setText(" ");
            }
        });
        
        
        panel.add(messageTF);
        panel.add(clickBto);
        return panel;
    }
}
